/* tex\c -- Batch from FW-Macros for THE (The Hessling Editor)
 * Copyright (C) 1993-1999 Franz-Josef Wirtz
 *
 * This batch is free software; see the files README and COPYING for
 * details about refusing any warranty and the GNU General Public License. 
 */
'@echo off'
parse source mine.__os mine.__type mine.__fullname mine.__filename mine.__adrenv
mine.__fpath = filespec( "drive", mine.__fullname)filespec( "path", mine.__fullname)

/* activate the newest settings */
address cmd 'call 'mine.__fpath'env.cmd'

/* read them */
env = 'OS2ENVIRONMENT'
emtexdir = value( 'emtexdir', , env)
if (emtexdir = "") then
do
   emtexdir = value( 'emtexdir', '\emtex', env)
end
texwd    = value( 'texwd',    , env)
texexe   = value( 'texexe',   , env)
texsrc   = value( 'texsrc',   , env)
parse var texexe texbat texufm
work_drive = filespec( "drive", texwd)
work_dir = substr( texwd, length( work_drive) + 1)
/* work_dir = filespec("path", texwd) would cut off the last dir! */

/* change the drive and dir */
olddir = directory()
newdir = directory( texwd)
if (translate(newdir) <> translate(texwd)) then
do
   say "Directory '"texwd"' probably does not exist"
   say "changed to '"newdir"', anyway"
   address cmd 'pause'
   exit
end

/* remove old macro for locating any error */
address cmd 'if exist 'mine.__fpath'errpos.the del 'mine.__fpath'errpos.the'

/* finally call the compiler (after some info) */
say 'COMPILER:   ('texbat')'
say 'FORMATINFO: ('texufm')'
say 'SOURCE:     ('texsrc')'
say 'WORKDIR:    ('texwd')'
address cmd 'echo on'
address cmd 'call 'emtexdir'\bin\'texbat texsrc
newdir = directory(olddir)
